package http

import "git.nobla.cn/golang/kos/pkg/types"

const (
	ErrAccessDenied         = types.ErrAccessDenied         //拒绝访问
	ErrPermissionDenied     = types.ErrPermissionDenied     //没有权限
	ErrIllegalRequest       = types.ErrIllegalRequest       //非法请求
	ErrInvalidPayload       = types.ErrInvalidPayload       //请求数据无效
	ErrResourceCreate       = types.ErrResourceCreate       //资源创建失败
	ErrResourceUpdate       = types.ErrResourceUpdate       //资源更新失败
	ErrResourceDelete       = types.ErrResourceDelete       //资源删除失败
	ErrResourceNotFound     = types.ErrResourceNotFound     //资源未找到
	ErrResourceEmpty        = types.ErrResourceEmpty        //资源为空
	ErrResourceExpired      = types.ErrResourceExpired      //资源已失效
	ErrResourceUnavailable  = types.ErrResourceUnavailable  //资源无法使用
	ErrResourceLocked       = types.ErrResourceLocked       //资源已被锁定
	ErrServerUnreachable    = types.ErrServerUnreachable    //服务不可用
	ErrTemporaryUnavailable = types.ErrTemporaryUnavailable //临时性失败
	ErrFatal                = types.ErrFatal                //致命错误
)
